{
  config,
  lib,
  pkgs,
  ...
}:

{
  # Miniflux configuration
  services.miniflux = {
    enable = true;
    adminCredentialsFile = config.age.secrets.miniflux.path;
  };

  # Microbin configuration
  services.microbin = {
    enable = true;
    passwordFile = config.age.secrets.microbin.path;
    settings = {
      MICROBIN_PORT = 9091;
      MICROBIN_PUBLIC_PATH = "https://bin.psydnd.org";
      MICROBIN_QR = true;
      MICROBIN_WIDE = true;
    };
  };

  # Readeck configuration
  services.readeck = {
    enable = true;
    settings = {
      server = {
        host = "127.0.0.1";
        port = 9092;
        allowed_hosts = [ "read.psydnd.org" ];
        trusted_proxies = [ "127.0.0.1" ];
        environmentFile = config.age.secrets.readeck.path;
      };
    };
  };

  # NOTE Load credentials using environment variables
  systemd.services.readeck.serviceConfig.EnvironmentFile = config.age.secrets.readeck.path;

}
